{
  "description": "Probe describes a health check to be performed against a container to determine whether it is alive or ready to receive traffic.",
  "properties": {
    "exec": {
      "$ref": "/api/_definitions.json#/$defs/io.k8s.api.core.v1.ExecAction",
      "description": "Exec specifies the action to take."
    },
    "failureThreshold": {
      "description": "Minimum consecutive failures for the probe to be considered failed after having succeeded. Defaults to 3. Minimum value is 1.",
      "format": "int32",
      "type": [
        "integer",
        "null"
      ]
    },
    "grpc": {
      "$ref": "/api/_definitions.json#/$defs/io.k8s.api.core.v1.GRPCAction",
      "description": "GRPC specifies an action involving a GRPC port."
    },
    "httpGet": {
      "$ref": "/api/_definitions.json#/$defs/io.k8s.api.core.v1.HTTPGetAction",
      "description": "HTTPGet specifies the http request to perform."
    },
    "initialDelaySeconds": {
      "description": "Number of seconds after the container has started before liveness probes are initiated. More info: https://kubernetes.io/docs/concepts/workloads/pods/pod-lifecycle#container-probes",
      "format": "int32",
      "type": [
        "integer",
        "null"
      ]
    },
    "periodSeconds": {
      "description": "How often (in seconds) to perform the probe. Default to 10 seconds. Minimum value is 1.",
      "format": "int32",
      "type": [
        "integer",
        "null"
      ]
    },
    "successThreshold": {
      "description": "Minimum consecutive successes for the probe to be considered successful after having failed. Defaults to 1. Must be 1 for liveness and startup. Minimum value is 1.",
      "format": "int32",
      "type": [
        "integer",
        "null"
      ]
    },
    "tcpSocket": {
      "$ref": "/api/_definitions.json#/$defs/io.k8s.api.core.v1.TCPSocketAction",
      "description": "TCPSocket specifies an action involving a TCP port."
    },
    "terminationGracePeriodSeconds": {
      "description": "Optional duration in seconds the pod needs to terminate gracefully upon probe failure. The grace period is the duration in seconds after the processes running in the pod are sent a termination signal and the time when the processes are forcibly halted with a kill signal. Set this value longer than the expected cleanup time for your process. If this value is nil, the pod's terminationGracePeriodSeconds will be used. Otherwise, this value overrides the value provided by the pod spec. Value must be non-negative integer. The value zero indicates stop immediately via the kill signal (no opportunity to shut down). This is a beta field and requires enabling ProbeTerminationGracePeriod feature gate. Minimum value is 1. spec.terminationGracePeriodSeconds is used if unset.",
      "format": "int64",
      "type": [
        "integer",
        "null"
      ]
    },
    "timeoutSeconds": {
      "description": "Number of seconds after which the probe times out. Defaults to 1 second. Minimum value is 1. More info: https://kubernetes.io/docs/concepts/workloads/pods/pod-lifecycle#container-probes",
      "format": "int32",
      "type": [
        "integer",
        "null"
      ]
    }
  },
  "type": "object",
  "$schema": "https://json-schema.org/draft/2020-12/schema",
  "additionalProperties": false,
  "$id": "https://kubernetes.io/api/probe/v1"
}